#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS+=-Wl,-z,defs -Wl,--as-needed

# Rename config file
config_file = /etc/lxdm/default.conf
CFLAGS+=-DCONFIG_FILE=\"$(config_file)\"

%:
	dh ${@}

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr \
		--bindir=/usr/bin \
		--sysconfdir=/etc \
		--libexecdir=/usr/lib/lxdm \
		--with-pam

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxdm

override_dh_install:
	dh_install --fail-missing

	mv debian/lxdm/etc/insserv.conf.d/lxdm.insserv debian/lxdm/etc/insserv.conf.d/lxdm

override_dh_installinit:
	dh_installinit --no-start -- defaults 30 01

override_dh_installsystemd:
	dh_installsystemd -plxdm --no-start -r lxdm.service
